# STEPConstruct_Assembly.hxx File Reference

`#include <Handle_StepShape_ShapeDefinitionRepresentation.hxx>`
`#include <Handle_StepShape_ShapeRepresentation.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepGeom_Axis2Placement3d.hxx>`
`#include <Handle_StepRepr_NextAssemblyUsageOccurrence.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_Interface_InterfaceModel.hxx>`
`#include <Handle_StepShape_ContextDependentShapeRepresentation.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`